<?php

declare(strict_types=1);

namespace Z14\Z14ComvahroBewerber3\ViewHelpers;

use TYPO3Fluid\Fluid\Core\ViewHelper\AbstractViewHelper;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Frontend\Service\TypoLinkCodecService;

/**
 * Split file reference into file parts.
 */
class StrReplaceViewHelper extends AbstractViewHelper
{

    /**
     * Initialize all arguments
     */
    public function initializeArguments()
    {
        $this->registerArgument(
            'subject',
            'string',
            'Subject',
            true
        );

        $this->registerArgument(
            'search',
            'array',
            'Search',
            true
        );

        $this->registerArgument(
            'replace',
            'array',
            'Replace',
            true
        );
    }

	public function render()
    {

        return str_replace($this->arguments['search'], $this->arguments['replace'], $this->arguments['subject']);

    }
}